﻿@using Microsoft.AspNetCore.Identity
@using YRPS.Data.DbModels.UsersManagement
@using YRPS.DTO.Security.User
@inject Microsoft.AspNetCore.Http.IHttpContextAccessor HttpContext;

@using  Microsoft.AspNetCore.Http;
@using Newtonsoft.Json;

@inject SignInManager<ApplicationUser> SignInManager
@inject UserManager<ApplicationUser> UserManager
@{ 
    var currentUser = new UserDto();
    var obj = HttpContext.HttpContext.Session.GetString("curUser");
    if (obj != null)
    {
        currentUser = JsonConvert.DeserializeObject<UserDto>(obj);
    }
}

<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>@ViewData["Title"] - YRPS.Web</title>

    <link href="https://kendo.cdn.telerik.com/2019.3.917/styles/kendo.bootstrap-v4.min.css" rel="stylesheet" type="text/css" />

    <script src="https://kendo.cdn.telerik.com/2019.3.917/js/jquery.min.js"></script>
    <script src="https://kendo.cdn.telerik.com/2019.3.917/js/jszip.min.js"></script>
    <script src="https://kendo.cdn.telerik.com/2019.3.917/js/kendo.all.min.js"></script>
    <script src="https://kendo.cdn.telerik.com/2019.3.917/js/kendo.aspnetmvc.min.js"></script>

    <environment names="Development">
        <link rel="stylesheet" href="~/lib/bootstrap/css/bootstrap.css" />
        <link rel="stylesheet" href="~/css/site.css" />
    </environment>
    <environment names="Staging,Production">
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css"
              asp-fallback-href="~/lib/bootstrap/css/bootstrap.min.css"
              asp-fallback-test-class="sr-only" asp-fallback-test-property="position" asp-fallback-test-value="absolute" />
        <link rel="stylesheet" href="~/css/site.min.css" asp-append-version="true" />
    </environment>
</head>
<body class="k-content">
    <nav class="navbar navbar-dark bg-dark">
        <div class="container-fluid d-flex justify-content-between p-0">
            <a class="navbar-brand d-flex align-items-center" asp-controller="Home" asp-action="Index">YRPS</a>
            <button id="configure" class="k-rpanel-toggle k-button k-primary btn-toggle">
                <span class="k-icon k-i-menu"></span>
            </button>
            <div>
                @await Html.PartialAsync("_LoginPartial", currentUser)
            </div>
        </div>

    </nav>
    <div id="responsive-panel" class="navbar navbar-dark bg-light mb-4">
        <kendo-responsivepanel name="responsive-panel" auto-close="false" breakpoint="768" orientation="top">


            @{

                if (currentUser != null && currentUser.Email != null)
                {

                    @(Html.Kendo().Menu()
                                                                                                                   .Name("menuImages")
                                                                                                                   .Items(items =>
                                                                                                                   {
                                                                                                                       items.Add().Text("Baseball")
                                                                                                                            .ImageUrl(Url.Content("~/shared/icons/sports/baseball.png"))
                                                                                                                            .Items(children =>
                                                                                                                            {
                                                                                                                                children.Add().Text("Top News").ImageUrl(Url.Content("~/shared/icons/16/star.png"));
                                                                                                                                children.Add().Text("Photo Galleries").ImageUrl(Url.Content("~/shared/icons/16/photo.png"));
                                                                                                                                children.Add().Separator(true);
                                                                                                                                children.Add().Text("Videos Records").ImageUrl(Url.Content("~/shared/icons/16/video.png"));
                                                                                                                                children.Add().Text("Radio Records").ImageUrl(Url.Content("~/shared/icons/16/speaker.png"));
                                                                                                                            });

                                                                                                                       items.Add().Text("Golf")
                                                                                                                            .ImageUrl(Url.Content("~/shared/icons/sports/golf.png"))
                                                                                                                            .Items(children =>
                                                                                                                            {
                                                                                                                                children.Add().Text("Top News").ImageUrl(Url.Content("~/shared/icons/16/star.png"));
                                                                                                                                children.Add().Text("Photo Galleries").ImageUrl(Url.Content("~/shared/icons/16/photo.png"));
                                                                                                                                children.Add().Separator(true);
                                                                                                                                children.Add().Text("Videos Records").ImageUrl(Url.Content("~/shared/icons/16/video.png"));
                                                                                                                                children.Add().Text("Radio Records").ImageUrl(Url.Content("~/shared/icons/16/speaker.png"));
                                                                                                                            });

                                                                                                                       items.Add().Text("Swimming")
                                                                                                                            .ImageUrl(Url.Content("~/shared/icons/sports/swimming.png"))
                                                                                                                            .Items(children =>
                                                                                                                            {
                                                                                                                                children.Add().Text("Top News").ImageUrl(Url.Content("~/shared/icons/16/star.png"));
                                                                                                                                children.Add().Text("Photo Galleries").ImageUrl(Url.Content("~/shared/icons/16/photo.png"));
                                                                                                                            });
                                                                                                                   })
                    )
                }
            }
            <style>
    #menuSprites .k-sprite {
        background-image: url("@Url.Content("~/shared/flags.png")");
    }
    .brazilFlag {
        background-position: 0 0;
    }
    .indiaFlag {
        background-position: 0 -32px;
    }
    .netherlandsFlag {
        background-position: 0 -64px;
    }
    .historyIcon {
        background-position: 0 -96px;
    }
    .geographyIcon {
        background-position: 0 -128px;
    }
            </style>
        </kendo-responsivepanel>
    </div>

    <main>
        <div class="container-fluid">
            @RenderBody()
        </div>
    </main>

    <footer class="footer text-center d-flex align-items-center">
        <div class="container-fluid">
            <p class="text-muted">
                Copyright © @DateTime.Now.Year. OrbCare Inc. - All rights reserved.
            </p>
        </div>
    </footer>

    <environment names="Development">
        <script src="~/lib/bootstrap/js/bootstrap.js"></script>
    </environment>
    <environment names="Staging,Production">
        <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js"
                asp-fallback-src="~/lib/bootstrap/js/bootstrap.min.js"
                asp-fallback-test="window.jQuery && window.jQuery.fn && window.jQuery.fn.modal"></script>
    </environment>

    @RenderSection("scripts", required: false)
</body>
</html>